﻿/********************************************************************************************************/
// Locale default pref for k-meleon 
/********************************************************************************************************/
pref("general.useragent.locale", "ja-JA");
pref("general.useragent.contentlocale", "JA");
pref("general.useragent.extra.notfirefox", "(Not Firefox/3.5)");


// Avoid Bug 1008
pref("kmeleon.general.homePage", "resource:///locales/ja-JA/readme.html");

/********************************************************************************************************/
// Privacy

pref("kmeleon.privacy.useragent1.name", "Firefox 3.5");
pref("kmeleon.privacy.useragent1.string", "Mozilla/5.0 (Windows; U; Windows NT 5.1; ja; rv:1.9.1) Gecko/20090624 Firefox/3.5");
pref("kmeleon.privacy.useragent2.name", "Internet Explorer 6.0");
pref("kmeleon.privacy.useragent2.string", "Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)");
pref("kmeleon.privacy.useragent3.name", "Opera 8.5");
pref("kmeleon.privacy.useragent3.string", "Opera/8.5 (Windows NT 5.1; U; ja)");
pref("kmeleon.privacy.useragent4.name", "Netscape 7.2");
pref("kmeleon.privacy.useragent4.string", "Mozilla/5.0 (Windows; U; Windows NT 5.1; ja-JP; rv:1.7) Gecko Netscape/7.2 (ax)");


/********************************************************************************************************/

pref("intl.charset.detector", "universal_charset_detector");

// Make sure this engine is defined in search.xml!
pref("keyword.URL", "http://www.google.co.jp/search?ie=UTF-8&sourceid=navclient&gfns=1&q=");


/********************************************************************************************************/
// Locale default pref for k-meleon macros
/********************************************************************************************************/

// Domain completion
pref("kmeleon.plugins.macros.domComplete0.prefix", "www.");
pref("kmeleon.plugins.macros.domComplete0.suffix", ".jp");

// URL Bar access key: Alt+? (set to the key used in IE)
pref("kmeleon.plugins.macros.accel.urlbar.access", "D");


/********************************************************************************************************/
// Web Search

// Default Search Engine URL  (MUST be one out of kmeleon.plugins.macros.search.engine[0..?].url)
pref("kmeleon.general.searchEngine", "http://www.google.co.jp/search?q=");
// Default Search Engine Name (MUST be one out of kmeleon.plugins.macros.search.engine[0..?].name)
pref("kmeleon.general.searchEngineName", "Google");

// K-Meleon Forums Search
pref("kmeleon.plugins.macros.search.kmforums", "http://kmeleon.sourceforge.net/forum/search.php?forum_id=0&match_forum=ALL&match_dates=0&match_type=ALL&search=");

// Web Search (engine[0..POSITIVE_INFINITY] possible)
// Make sure these engines are defined in search.xml!
pref("kmeleon.plugins.macros.search.engine0.name", "Google");
pref("kmeleon.plugins.macros.search.engine0.url", "http://www.google.com/search?q=");

// Metasearch (meta[0..POSITIVE_INFINITY] possible)
// Make sure these engines are defined in search.xml!
pref("kmeleon.plugins.macros.search.meta0.url", "http://www.google.com/search?num=100&q=");

// cache
pref("browser.cache.check_doc_frequency", 0);
pref("browser.cache.disk.enable", false);
pref("browser.cache.memory.capacity", -1);
// hide dialog
pref("security.warn_submit_insecure", false);
pref("security.warn_entering_secure", false);
pref("security.warn_leaving_secure", false);
pref("security.warn_entering_weak", false);
// toolbar
pref("kmeleon.toolband.&Go Buttons.size", 59);
pref("kmeleon.toolband.&Main Bar.size", 177);
pref("kmeleon.toolband.&Privacy Bar.size", 781);
pref("kmeleon.toolband.&Privacy Bar.visibility", false);
pref("kmeleon.toolband.&Search Buttons.size", 23);
pref("kmeleon.toolband.&Zoom Buttons.size", 66);
pref("kmeleon.toolband.Bookmarks.break", 1);
pref("kmeleon.toolband.Bookmarks.index", 10);
pref("kmeleon.toolband.Bookmarks.size", 644);
pref("kmeleon.toolband.Bookmarks.visibility", true);
pref("kmeleon.toolband.Mail/&News Buttons.visibility", false);
pref("kmeleon.toolband.Tab/&Window Buttons.visibility", false);
pref("kmeleon.toolband.Tabs.index", 11);
pref("kmeleon.toolband.Tabs.size", 431);
pref("kmeleon.toolband.Throbber.size", 28);
pref("kmeleon.toolband.URL Bar.size", 261);
pref("kmeleon.general.toolbars_locked", true);
// mouse
pref("kmeleon.plugins.gestures.LR", "ID_NAV_FORWARD");
pref("kmeleon.plugins.gestures.RL", "ID_NAV_BACK");
pref("kmeleon.plugins.gestures.down", "ID_NAV_RELOAD");
pref("kmeleon.plugins.gestures.downleft", "ID_CLOSE_TAB");
pref("kmeleon.plugins.gestures.load", true);
// tab
pref("kmeleon.tabs.OnDoubleClick", 0);
pref("kmeleon.tabs.OnMiddleClick", 2);
pref("kmeleon.tabs.OnRightClick", 1);
pref("kmeleon.tabs.maxWidth", 20);
pref("kmeleon.tabs.onOpenOption", 1);


